package com.mobai.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 车辆数据信息
 * @author Mobai
 * @className Vehicle
 * @description 描述
 * @date 2024/6/6 8:18
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Vehicle implements Serializable {
    /**
     * 车辆vin
     */
    private String vin;
    /**
     * 时间戳
     */
    private Long startTime;
    /**
     * 经度
     */
    private BigDecimal longitude;
    /**
     * 纬度
     */
    private BigDecimal latitude;
    /**
     * 速度
     */
    private BigDecimal speed;
    /**
     * 总里程
     */
    private BigDecimal mileage;
    /**
     * 总电压
     */
    private BigDecimal voltage;
    /**
     * 总电流
     */
    private BigDecimal current;
    /**
     * 绝缘电阻
     */
    private BigDecimal resistance;
    /**
     * 档位
     */
    private String gear;
    /**
     * 加速踏板行程值
     */
    private BigDecimal accelerationPedal;
    /**
     * 制动踏板行程值
     */
    private BigDecimal brakePedal;
    /**
     * 燃料消耗率
     */
    private BigDecimal fuelConsumptionRate;
    /**
     * 电机控制器温度
     */
    private BigDecimal motorControllerTemperature;
    /**
     * 电机转速
     */
    private BigDecimal motorSpeed;
    /**
     * 电机转矩
     */
    private BigDecimal motoTorque;
    /**
     * 电机温度
     */
    private BigDecimal motorTemperature;
    /**
     * 电机电压
     */
    private BigDecimal motorVoltage;
    /**
     * 电机电流
     */
    private BigDecimal motorCurrent;
    /**
     * 动力电池剩余电量SOC
     */
    private BigDecimal remainingBattery;
    /**
     * 当前状态允许的最大反馈功率
     */
    private BigDecimal maximumFeedbackPower;
    /**
     * 当前状态允许的最大放电功率
     */
    private BigDecimal maximumDischargePower;
    /**
     * BMS自检计数器
     */
    private BigDecimal selfCheckCounter;
    /**
     * 动力电池充放电电流
     */
    private BigDecimal totalBatteryCurrent;
    /**
     * 动力电池负载端总电压V3
     */
    private BigDecimal totalBatteryVoltage;
    /**
     * 单次最大电压
     */
    private BigDecimal singleBatteryMaxVoltage;
    /**
     * 单次最低电压
     */
    private BigDecimal singleBatteryMinVoltage;
    /**
     * 单体电池最高温度
     */
    private BigDecimal singleBatteryMaxTemperature;
    /**
     * 单体电池最低温度
     */
    private BigDecimal singleBatteryMinTemperature;
    /**
     * 动力电池可用容量
     */
    private BigDecimal availableBatteryCapacity;
    /**
     * 车辆状态
     */
    private Integer vehicleStatus;
    /**
     * 充电状态
     */
    private Integer chargingStatus;
    /**
     * 运行状态
     */
    private Integer operatingStatus;
    /**
     * SOC状态
     */
    private Integer socStatus;
    /**
     * 可充电储能装置工作状态
     */
    private Integer chargingEnergyStorageStatus;
    /**
     * 驱动电机状态
     */
    private Integer driveMotorStatus;
    /**
     * 定位是否有效
     */
    private Integer positionStatus;
    /**
     * EAS
     */
    private Integer easStatus;
    /**
     * PTC
     */
    private Integer ptcStatus;
    /**
     * EPS
     */
    private Integer epsStatus;
    /**
     * ABS
     */
    private Integer absStatus;
    /**
     * MCU
     */
    private Integer mcuStatus;
    /**
     * 动力电池加热状态
     */
    private Integer heatingStatus;
    /**
     * 动力电池当前状态
     */
    private Integer batteryStatus;
    /**
     * 动力电池保温状态
     */
    private Integer batteryInsulationStatus;
    /**
     * DCDC
     */
    private Integer dcdcStatus;
    /**
     * CHG
     */
    private Integer chgStatus;

}
