package com.mobai.iotDB.domain.resp;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName ResponseData
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/5/21 16:29
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
public class ResponseData {
    private Integer code;
    private String msg;
    private Object data;

    public ResponseData(int code, String msg, Object data) {
        this.code = code;
        this.msg = msg;
        this.data = data;
    }

    public ResponseData(int code, String msg) {
        this.code = code;
        this.msg = msg;
        this.data = null;
    }


    public static ResponseData success(String msg, Object data) {
        return new ResponseData(200, msg, data);
    }

    public static ResponseData success(String msg) {
        return new ResponseData(200, msg, null);
    }

    public static ResponseData success() {
        return new ResponseData(200, "请求成功", null);
    }

    public static ResponseData success(Object data) {
        return new ResponseData(200, "请求成功", data);
    }
}
