package com.mobai.vehicle;

import com.mobai.domain.VehicleEvent;
import com.mobai.utils.RedisService;
import com.mobai.vehicle.event.constants.EventHandler;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

public final class HandlerHelper {

    private HandlerHelper() {
    }

    /**
     * 调用方法执行相应的事件
     *
     * @param events  事件类型
     * @param vehicle 请求体  vin+事件状态
     */
    public static void doHandler(VehicleEvent events, Map<String, String> vehicle, RedisService redisService) {
        List<String> list = Arrays.stream(events.getEvents().split("-")).toList();
        list.forEach(type -> {
            EventHandler.getEvent(type).activeEvent(vehicle, redisService);
        });
    }
}
