package com.mobai.vehicle.event.client.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 监听主题
 * @author Mobai
 * @className KafkaConfig
 * @description 描述
 * @date 2024/6/14 21:51
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Configuration
@ConfigurationProperties(prefix = "kafka")
public class KafkaConfig {


    private String topic ;

    private int partition ;

    public String queueName() {
        return topic + "." + partition;
    }
}
