package com.mobai.vehicle.event.constants;

import cn.hutool.extra.spring.SpringUtil;
import com.mobai.vehicle.EventActive;
import com.mobai.vehicle.event.factory.*;
import lombok.extern.log4j.Log4j2;

import java.util.Arrays;
import java.util.Optional;

/**
 * @ClassName EventHandler
 * @Description
 * @Author Saisai
 * @Date 2024/6/20 15:08
 */

@Log4j2
public enum EventHandler {


    REAL_TIME_DATA(RealTimeFactory.class),
    INDEX_WARNING(IndexWaringFactory.class),
    BUG_MALFUNCTION(BugMalfunctionFactory.class),
//    STANDARD_WARNING(StandardWarningFactory.class),
    ELECTRONIC_FENCE(ElectronicFenceFactory.class);

    private String code;
    private Class<? extends EventActive> eventActive;

    EventHandler(Class<? extends EventActive>  eventActive){
        this.eventActive = eventActive;
    }

    public static EventActive getEvent(String code){

        Optional<EventHandler> eHandlerOptional = Arrays.stream(values())
                .filter(eventActive -> eventActive.name().equals(code))
                .findFirst();
        if (eHandlerOptional.isEmpty()){
            throw  new RuntimeException("没有该事件");
        }
        EventHandler eventHandler = valueOf(code);
        Class<? extends EventActive> eventActive1 = eventHandler.eventActive;
        return SpringUtil.getBean(eventActive1);
    }
}
