package com.mobai.vehicle.event.controller;

import com.mobai.domain.EventReq;
import com.mobai.domain.Result;
import com.mobai.domain.VehicleEvent;
import com.mobai.vehicle.event.service.EventsService;
import com.sun.jdi.request.EventRequest;
import lombok.extern.log4j.Log4j2;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Saisai
 * @className EventsController
 * @description 描述
 * @date 2024/6/18 11:36
 */
@Log4j2
@RestController
@RequestMapping("/event")
public class EventsController {
    @Autowired
    private EventsService eventsService;

    /**
     * 车辆注册事件
     * @param vehicleEvent
     * @return
     */
    @PostMapping("/insert")
    public Result insertEvent(@RequestBody VehicleEvent vehicleEvent) {
        if (!StringUtils.isAllBlank(vehicleEvent.getEvents(),vehicleEvent.getVin())){
            return Result.error("车辆vin或事件为空");
        }
        boolean save = eventsService.save(vehicleEvent);
        return Result.success("","添加成功");
    }

    /**
     * 激活事件
     * @param req
     * @return
     */
    @PostMapping("/event")
    public Result activeEvent(@RequestBody EventReq req){
        return eventsService.activeEvent(req);
    }

}
