package com.mobai.vehicle.event.factory;

import com.alibaba.fastjson2.JSON;
import com.mobai.domain.Vehicle;
import com.mobai.utils.RedisService;
import com.mobai.vehicle.EventActive;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 实时数据工厂
 * @author Saisai
 * @className BugMalfunctionFactory
 * @description 描述
 * @date 2024/6/20 14:42
 */

@Log4j2
@Component
public class RealTimeFactory implements EventActive {


    private RealTimeFactory(){}

    public static RealTimeFactory getInstance(){
        return new RealTimeFactory();
    }

    @Override
    public void activeEvent(Map<String,String> vehicle, RedisService redisService) {
        if (redisService.hasKey(vehicle.get("vin"))) {
            redisService.setList(vehicle.get("vin"), JSON.toJSONString(vehicle));
            log.info("添加实时数据成功");
        }
    }
}
