package com.mobai.vehicle.event.redis;

import com.alibaba.fastjson2.JSON;

import com.mobai.bugMalfuntion.BugMalfunctionResult;
import lombok.extern.log4j.Log4j2;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.connection.Message;
import org.springframework.data.redis.listener.KeyExpirationEventMessageListener;
import org.springframework.data.redis.listener.RedisMessageListenerContainer;
import org.springframework.stereotype.Component;

import java.util.Date;
@Log4j2
@Component
public class RedisKeyExpirationListener extends KeyExpirationEventMessageListener {
    public RedisKeyExpirationListener(RedisMessageListenerContainer listenerContainer) {
        super(listenerContainer);
    }

    @Autowired
    private RabbitTemplate rabbitTemplate;

    //拿到过期key的信息并做处理
    @Override
    public void onMessage(Message message, byte[] pattern) {
        String key = message.toString();
        log.warn("过期的KEY是: {}" , key);
        if (!key.contains("-")){log.info("不是故障事件");return;}
        BugMalfunctionResult result = new BugMalfunctionResult();
        String[] split = key.split("-");
        result.setVin(split[0]);
        result.setFaultCode(split[1]);
        result.setTimestamp(new Date().getTime());
        log.info(result);
        rabbitTemplate.convertAndSend("zhiLian-vehicle-end", JSON.toJSONString(result));

    }
}
